Skip to main content
POST
Delete Comment Annotations
Use this API to delete comment annotations from a document within an organization. Additional filters can be applied using location IDs, annotation IDs, or user IDs.

Endpoint

POST https://api.velt.dev/v1/commentannotations/delete

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

1. Delete annotations by organizationId and documentId

2. Delete annotations by organizationId, documentId and locationIds

3. Delete annotations by organizationId, documentId, locationIds and userIds

4. Delete annotations by organizationId, documentId and userIds

5. Delete annotations by organizationId, documentId and annotationIds

6. Delete annotations by organizationId, documentId, locationIds and annotationIds

7. Delete annotations by documentId. This will work if the document was created without an organization.

8. Delete annotations by documentId and locationIds. This will work if the document was created without an organization.

9. Delete annotations by documentId and userIds. This will work if the document was created without an organization.

10. Delete annotations by documentId and annotationIds. This will work if the document was created without an organization.

11. Delete annotations by documentId, locationIds, and userIds. This will work if the document was created without an organization.

12. Delete annotations by documentId, locationIds, and annotationIds. This will work if the document was created without an organization.

Response

Success Response

Failure Response